Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoListenerDopplerElement Class Reference
[Elements (mostly for internal use)]

The SoListenerDopplerElement holds the doppler velocity and factor of the current listener. More...

`#include <Inventor/elements/SoListenerDopplerElement.h>`

Inheritance diagram for SoListenerDopplerElement:

List of all members.

## Public Methods
virtual void | init (SoState *state)
virtual void | print (FILE *file) const
| Prints the contents of the element (unimplemented).
## Static Public Methods
void | initClass (void)
void | setDopplerVelocity (SoState *const state, SoNode *const node, const SbVec3f &velocity)
void | setDopplerFactor (SoState *const state, SoNode *const node, float factor)
const SbVec3f & | getDopplerVelocity (SoState *const state)
| Returns the current listener's doppler velocity.
float | getDopplerFactor (SoState *const state)
| Returns the current listener's doppler factor.
## Protected Methods
virtual | ~SoListenerDopplerElement ()
## Protected Attributes
SbVec3f | dopplerVelocity
float | dopplerFactor

## Detailed Description

The SoListenerDopplerElement holds the doppler velocity and factor of the current listener.

The dopplerVelocity and dopplerFactor is set by SoListener nodes during audio rendering. The SoListenerDopplerElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since:
  Coin 2.0

## Constructor & Destructor Documentation

SoListenerDopplerElement::~SoListenerDopplerElement | ( | void |  | ) | `[protected, virtual]`

| The destructor.

## Member Function Documentation

void SoListenerDopplerElement::initClass | ( | void |  | ) | `[static]`

| This static method initializes static data for the SoListenerDopplerElement class. Reimplemented from SoReplacedElement.

void SoListenerDopplerElement::init | ( | SoState * | state | ) | `[virtual]`

| Initializes the element to it's default value. The default value for the velocity is (0.0f, 0.0f, 0.0f), in other words, the listener is not moving. The default value for the dopplerFactor is 0.0f, in other words, doppler effect is disabled. Reimplemented from SoReplacedElement.

void SoListenerDopplerElement::setDopplerVelocity | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbVec3f & | velocity
| ) | `[static]`

| Sets the current listener's doppler velocity.

void SoListenerDopplerElement::setDopplerFactor | ( | SoState *const | state,
|  | SoNode *const | node,
|  | float | factor
| ) | `[static]`

| Sets the current listener's doppler factor.

## Member Data Documentation

SoListenerDopplerElement::dopplerVelocity`[protected]`

| The doppler velocity of the listener. It is the application programmer's responsibility to set this value. Coin does not update this value automatically based on changes in a listener's position.

SoListenerDopplerElement::dopplerFactor`[protected]`

| The amount of doppler effect applied to the listener. The normal range would be [0.0f to 1.0f], where 0.0f is default and disable all doppler effects.

The documentation for this class was generated from the following files:

- SoListenerDopplerElement.h
- SoListenerDopplerElement.cpp